Manifest-Version: 1.0
Bnd-LastModified: 1749558272957
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Workflow Kaleo Runtime Integration Impleme
 ntation
Bundle-SymbolicName: com.liferay.portal.workflow.kaleo.runtime.integra
 tion.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.15.hotfix-6668-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.petra.reflect;version="1.5",com.liferay.pe
 tra.string;version="1.5",com.liferay.portal.configuration.metatype.bn
 d.util;version="2.0",com.liferay.portal.kernel.exception;version="10.
 1",com.liferay.portal.kernel.io.unsync;version="8.0",com.liferay.port
 al.kernel.lock;version="7.3",com.liferay.portal.kernel.log;version="7
 .1",com.liferay.portal.kernel.model;version="12.0",com.liferay.portal
 .kernel.search;version="11.1",com.liferay.portal.kernel.security.auth
 ;version="4.0",com.liferay.portal.kernel.security.permission;version=
 "5.0",com.liferay.portal.kernel.security.permission.resource;version=
 "1.1",com.liferay.portal.kernel.service;version="10.2",com.liferay.po
 rtal.kernel.transaction;version="8.1",com.liferay.portal.kernel.util;
 version="31.0",com.liferay.portal.kernel.util.comparator;version="3.1
 ",com.liferay.portal.kernel.uuid;version="6.2",com.liferay.portal.ker
 nel.workflow;version="14.1",com.liferay.portal.kernel.workflow.compar
 ator;version="7.4",com.liferay.portal.kernel.workflow.search;version=
 "1.0",com.liferay.portal.lock.model;version="3.0",com.liferay.portal.
 lock.service;version="1.6",com.liferay.portal.workflow.configuration;
 version="1.0",com.liferay.portal.workflow.kaleo;version="2.0",com.lif
 eray.portal.workflow.kaleo.definition;version="2.0",com.liferay.porta
 l.workflow.kaleo.definition.export;version="1.1",com.liferay.portal.w
 orkflow.kaleo.definition.parser;version="1.1",com.liferay.portal.work
 flow.kaleo.definition.util;version="1.0",com.liferay.portal.workflow.
 kaleo.model;version="5.0",com.liferay.portal.workflow.kaleo.runtime;v
 ersion="5.0",com.liferay.portal.workflow.kaleo.runtime.assignment;ver
 sion="2.0",com.liferay.portal.workflow.kaleo.runtime.util;version="1.
 1",com.liferay.portal.workflow.kaleo.runtime.util.comparator;version=
 "1.1",com.liferay.portal.workflow.kaleo.service;version="8.1"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal Workflow
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: forms-and-workflow
Liferay-Releng-Suite-Description: Apps and Features: Calendar, Dynamic
  Data Lists, Dynamic Data Mapping, Forms, Polls, Workflow<br /><br />
 An increase in productivity means you're saving time and effort; youâ
 €™re becoming more efficient. The Forms and Workflow apps help you do
  that by giving you built-in calendars and the ability to create your
  own forms and list applications. These are powerful, flexible apps t
 hat can be quickly leveraged for basic tasks, or carefully configured
  and mastered to perfect business processes.<br /><br />Need a quick 
 survey or complex Sign Up form? Use the Liferay Forms app and make an
 y forms you want. If there's a forms feature you need, this app proba
 bly has it.<br /><br />Maybe you need an entire list application, and
  you need it today. Dynamic Data Lists lets you do it without any dev
 eloper expertise.<br /><br />Do you need personal calendars for your 
 users, and/or site calendars? Do you need the calendar to be highly c
 onfigurable? Use the Calendar app.<br /><br />Would you like to initi
 ate a review process when new content, or any new asset, is created? 
 The Kaleo Workflow Engine lets you send any asset through review befo
 re it gets published.<br /><br />Want to quickly get the opinion of y
 our users on something? The Polls app is extremely easy to use.<br />
 <br />This suite may contain modules that depend on Foundation suite 
 modules. This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Forms and Workflow
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.workflow.kaleo.runtime.integration
 .internal,com.liferay.portal.workflow.kaleo.runtime.integration.inter
 nal.security.permission.resource,com.liferay.portal.workflow.kaleo.ru
 ntime.integration.internal.util
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.kernel.security.permission.resource.PortletResourcePermission
 ";uses:="com.liferay.portal.kernel.security.permission.resource",osgi
 .service;objectClass:List<String>="com.liferay.portal.kernel.workflow
 .WorkflowDefinitionManager";uses:="com.liferay.portal.kernel.workflow
 ",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.wo
 rkflow.WorkflowEngineManager";uses:="com.liferay.portal.kernel.workfl
 ow",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.
 workflow.WorkflowInstanceManager";uses:="com.liferay.portal.kernel.wo
 rkflow",osgi.service;objectClass:List<String>="com.liferay.portal.ker
 nel.workflow.WorkflowLogManager";uses:="com.liferay.portal.kernel.wor
 kflow",osgi.service;objectClass:List<String>="com.liferay.portal.kern
 el.workflow.WorkflowTaskManager";uses:="com.liferay.portal.kernel.wor
 kflow",osgi.service;objectClass:List<String>="com.liferay.portal.kern
 el.workflow.comparator.WorkflowComparatorFactory";uses:="com.liferay.
 portal.kernel.workflow.comparator",osgi.service;objectClass:List<Stri
 ng>="com.liferay.portal.workflow.kaleo.KaleoWorkflowModelConverter";u
 ses:="com.liferay.portal.workflow.kaleo"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.lock.LockManager)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.service.RoleLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.service.UserGroupGroupRoleLocalService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.service.Us
 erGroupRoleLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.service.UserLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.service.WorkflowDefinitionLinkLocalService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.uuid.Porta
 lUUID)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.workflow.comparator.WorkflowComparatorFactory)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 lock.service.LockLocalService)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.workflow.kaleo.KaleoWorkflowModelC
 onverter)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.workflow.kaleo.definition.export.DefinitionExporter)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.workflow.kaleo.definition.parser.WorkflowModelParser)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.workflow.
 kaleo.runtime.KaleoSignaler)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.workflow.kaleo.runtime.TaskManager)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.workflow.kaleo.runtime.WorkflowEngine)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.workflow.kaleo.runtime
 .assignment.AggregateKaleoTaskAssignmentSelector)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.workflow.kaleo.
 runtime.assignment.KaleoTaskAssignmentSelectorRegistry)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.workflow.
 kaleo.service.KaleoDefinitionLocalService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.workflow.kaleo.service
 .KaleoDefinitionVersionLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.workflow.kaleo.service.Kaleo
 InstanceTokenLocalService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.workflow.kaleo.service.KaleoLogLocalSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.workflow.kaleo.service.KaleoNodeLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.workflow
 .kaleo.service.KaleoTaskAssignmentInstanceLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.workflow.
 kaleo.service.KaleoTaskAssignmentLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.workflow.kaleo.ser
 vice.KaleoTaskInstanceTokenLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.workflow.kaleo.service.K
 aleoTransitionLocalService)";effective:=active,osgi.extender;filter:=
 "(&(osgi.extender=osgi.component)(version>=1.4.0)(!(version>=2.0.0)))
 ",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.workflow.kaleo.runtime.
 integration.internal.KaleoWorkflowModelConverterImpl.xml,OSGI-INF/com
 .liferay.portal.workflow.kaleo.runtime.integration.internal.WorkflowC
 omparatorFactoryImpl.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.r
 untime.integration.internal.WorkflowDefinitionManagerImpl.xml,OSGI-IN
 F/com.liferay.portal.workflow.kaleo.runtime.integration.internal.Work
 flowEngineManagerImpl.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.
 runtime.integration.internal.WorkflowInstanceManagerImpl.xml,OSGI-INF
 /com.liferay.portal.workflow.kaleo.runtime.integration.internal.Workf
 lowLogManagerImpl.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.runt
 ime.integration.internal.WorkflowTaskManagerImpl.xml,OSGI-INF/com.lif
 eray.portal.workflow.kaleo.runtime.integration.internal.security.perm
 ission.resource.WorkflowPortletResourcePermission.xml
Tool: Bnd-4.3.0.201909301554

